/*
Fade content bs-carousel with hero headers
Code snippet by maridlcrmn (Follow me on Twitter @maridlcrmn) for Bootsnipp.com
Image credits: unsplash.com
*/

/********************************/
/*       Fade Bs-carousel       */
/********************************/
.fade-carousel {
    position: relative;

}

.fade-carousel, .fade-carousel .carousel-inner .item {
    height: 500px;
}

.fade-carousel .carousel-indicators {
    display:none;
}

@media (min-height: 700px) {
    .fade-carousel, .fade-carousel .carousel-inner .item {
        height: 534px;
    }

    .fade-carousel .carousel-indicators {
        display:block;
    }
}

@media (min-height: 750px) {
    .fade-carousel, .fade-carousel .carousel-inner .item {
        height: 634px;
    }
}


.fade-carousel .carousel-indicators > li {
    margin: 0 2px;
    background-color: #f39c12;
    border-color: #f39c12;
    opacity: .7;
}

.fade-carousel .carousel-indicators > li.active {
    width: 10px;
    height: 10px;
    opacity: 1;
}

/********************************/
/*          Hero Headers        */
/********************************/
.fade-carousel .hero {
    position: absolute;
    top: -1000%;
    left:0;
    right:0;
    z-index: 3;
    color: #fff;
    text-align: center;
    text-shadow: 1px 1px 0 rgba(0, 0, 0, .75);
    /*
    -webkit-transform: translate3d(-50%, -50%, 0);
    -moz-transform: translate3d(-50%, -50%, 0);
    -ms-transform: translate3d(-50%, -50%, 0);
    -o-transform: translate3d(-50%, -50%, 0);
    transform: translate3d(-50%, -50%, 0);
    */
}

.fade-carousel .hero h1 {

    font-weight:bold;
    font-family: 'Pacifico', cursive;
    margin: 0;
    margin-bottom:50px;
    padding: 0;
}

.fade-carousel .hero h3 {
    text-align:center;

}

.fade-carousel .carousel-inner .item .hero {
    opacity: 0;
    -webkit-transition: 2s all ease-in-out .1s;
    -moz-transition: 2s all ease-in-out .1s;
    -ms-transition: 2s all ease-in-out .1s;
    -o-transition: 2s all ease-in-out .1s;
    transition: 2s all ease-in-out .1s;
    top: 55%;
    top:25%;
    left:0;
    right:0;
}

.fade-carousel .carousel-inner .item.active .hero {
    opacity: 1;
    -webkit-transition: 2s all ease-in-out .1s;
    -moz-transition: 2s all ease-in-out .1s;
    -ms-transition: 2s all ease-in-out .1s;
    -o-transition: 2s all ease-in-out .1s;
    transition: 2s all ease-in-out .1s;
    top: 55%;
    top:25%;
    left:0;
    right:0;
}

@media (min-height: 650px) {
    .fade-carousel .carousel-inner .item .hero, .fade-carousel .carousel-inner .item.active .hero {
        top:30%;
    }

}

@media (min-height: 750px) {
    .fade-carousel .carousel-inner .item .hero, .fade-carousel .carousel-inner .item.active .hero {
        top:40%;
    }

}


/********************************/
/*            Overlay           */
/********************************/
.overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 2;
    background-color: #080d15;
    opacity: .60;
}

/********************************/
/*          Custom Buttons      */
/********************************/
.btn.btn-lg {
    padding: 10px 40px;
}

.btn.btn-hero,
.btn.btn-hero:hover,
.btn.btn-hero:focus {
    color: #f5f5f5;
    background-color: transparent;
    border-color: transparent;
    outline: none;
    margin: 20px auto;
    white-space: nowrap;
}

.btn.btn-hero:hover {

    background-color: rgba(0,0,0,.1);

}

/********************************/
/*       Slides backgrounds     */
/********************************/
.fade-carousel .slides .slide-1,
.fade-carousel .slides .slide-2,
.fade-carousel .slides .slide-3,
.fade-carousel .slides .slide-4,
.fade-carousel .slides .slide-5,
.fade-carousel .slides .slide-6 {

    height:inherit;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.fade-carousel .slides .slide-1 {



    background-size: cover;
    background-position: center 50%;
    background-repeat: no-repeat;
}

.fade-carousel .slides .slide-2 {



    background-size: cover;
    background-position: center 50%;
    background-repeat: no-repeat;
}

.fade-carousel .slides .slide-3 {



    background-size: cover;
    background-position: center 50%;
    background-repeat: no-repeat;
}

.fade-carousel .slides .slide-4 {



    background-size: cover;
    background-position: center 50%;
    background-repeat: no-repeat;
}

.fade-carousel .slides .slide-5 {
    background-image: url('');
}

/********************************/
/*          Media Queries       */
/********************************/
@media screen and (min-width: 980px) {
    .fade-carousel .hero {
        width: 980px;
        width:100%;
    }
}



.fade-carousel .hero h1 {
    font-size: 2.8em;
}

@media screen and (max-width: 979px) and (min-height: 700px) {
    .fade-carousel .hero h1 {
        font-size: 3.2em;
    }
}

@media screen and (min-width: 980px) and (min-height: 700px) {
    .fade-carousel .hero h1 {
        font-size: 5.8em;
    }
}

